Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.exchange
Class RecurrenceInstanceEnum

    java.lang.Object
      |
      +--com.compoze.collab.CollabEnum
            |
            +--com.compoze.collab.exchange.RecurrenceInstanceEnum

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class RecurrenceInstanceEnum
extends CollabEnum
implements java.io.Serializable

This class is used to represent the day of the week that an "nth" recurrence occurs on. The enumeration class that contains `RecurrenceInstance` elements.

See Also:
  Serialized Form

Field Summary
`static RecurrenceInstance` | `FIRST` Occurs on the first '[Sun-Sat]' of the week.
`static RecurrenceInstance` | `FOURTH` Occurs on the fourth '[Sun-Sat]' of the week.
`static RecurrenceInstance` | `LAST` Occurs on the last '[Sun-Sat]' of the week.
`static int` | `NUM_ELEMENTS`
`static RecurrenceInstance` | `SECOND` Occurs on the second '[Sun-Sat]' of the week.
`static RecurrenceInstance` | `THIRD` Occurs on the third '[Sun-Sat]' of the week.
`static int` | `VALUE_FIRST`
`static int` | `VALUE_FOURTH`
`static int` | `VALUE_LAST`
`static int` | `VALUE_SECOND`
`static int` | `VALUE_THIRD`

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `RecurrenceInstanceEnum(java.lang.Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, java.lang.String sInternalName, boolean bMaskable)` Constructor.
`protected` | `RecurrenceInstanceEnum(int iNumElements)`

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_FIRST

    public static final int VALUE_FIRST

### VALUE_SECOND

    public static final int VALUE_SECOND

### VALUE_THIRD

    public static final int VALUE_THIRD

### VALUE_FOURTH

    public static final int VALUE_FOURTH

### VALUE_LAST

    public static final int VALUE_LAST

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

### FIRST

    public static final RecurrenceInstance FIRST

  Occurs on the first '[Sun-Sat]' of the week.

### SECOND

    public static final RecurrenceInstance SECOND

  Occurs on the second '[Sun-Sat]' of the week.

### THIRD

    public static final RecurrenceInstance THIRD

  Occurs on the third '[Sun-Sat]' of the week.

### FOURTH

    public static final RecurrenceInstance FOURTH

  Occurs on the fourth '[Sun-Sat]' of the week.

### LAST

    public static final RecurrenceInstance LAST

  Occurs on the last '[Sun-Sat]' of the week.

Constructor Detail

### RecurrenceInstanceEnum

    protected RecurrenceInstanceEnum(java.lang.Class elementClass,
                                     int iNumElements,
                                     com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                                     EnumElement defaultElement,
                                     java.lang.String sInternalName,
                                     boolean bMaskable)

  Constructor.

### RecurrenceInstanceEnum

    protected RecurrenceInstanceEnum(int iNumElements)

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.